Skip to content

Generate Song (Artist Style)

POST https://www.kkiai.com/suno/submit/music

Integration Steps

A. Generate Music

You can generate a song through the music generation interface and obtain the clip_id value of one of the songs: 54834687-5e79-4f08-8e14-cf188f15b598

B. Create New Persona

The clip_id must exist in the system and not be from an uploader.

Cannot be used across accounts, so it may not work if the account goes offline.

C. Create Using persona_id

Notes:

mv should be chirp-v3-5-tau or chirp-v4-tau

task should be artist_consistency

persona_id is obtained from step B

artist_clip_id is the clip_id from step A

Can be used across accounts

Request Parameters

Authorization

Add the Authorization parameter in the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequired
generation_typestringRequiredGeneration content, example value "text"
tagsstringOptional
negative_tagsstringOptional
mvstringRequired
titlestringRequired
taskstringOptional
persona_idstringRequired
artist_clip_idstringRequiredID of a reference audio clip
vocal_genderstringOptional

Request Example

json
{
  "prompt": "[Verse]\nFrom the morning to the night\nYou keep my world shining bright\nThrough the rain and through the storm\nI feel safe inside your arms\n\n[Verse 2]\nWhen the city lights go low\nYou are the place I call home\nEvery road feels less unknown\nWhen I never walk alone\n\n[Chorus]\nStay with me, stay with me\nYou are all I need to breathe\nAnywhere the world may lead\nYou are always close to me\n\n[Verse 3]\nYou are shelter, you are light\nYou are dreams I hold at night\nEven when the road is long\nWith you here, I still feel strong\n\n[Chorus]\nStay with me, stay with me\nYou are all I need to breathe\nAnywhere the world may lead\nYou are always close to me\n\n[Bridge]\nEvery moment, every day\nYou bring sunlight to my way\nAll tomorrow feels brand new\nWhen I am here with you",
  "generation_type": "TEXT",
  "tags": "electronic, pop",
  "negative_tags": "",
  "mv": "chirp-v4-tau",
  "title": "Stay With Me",
  "task": "artist_consistency",
  "persona_id": "0f6e8077-a7ba-4fc8-8f60-de02c66e56ce",
  "artist_clip_id": "a5fa604c-18b8-4e7f-8d25-9412d4ba8163",
  "vocal_gender": ""
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/suno/submit/music' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "[Verse]\nFrom the morning to the night\nYou keep my world shining bright\nThrough the rain and through the storm\nI feel safe inside your arms\n\n[Verse 2]\nWhen the city lights go low\nYou are the place I call home\nEvery road feels less unknown\nWhen I never walk alone\n\n[Chorus]\nStay with me, stay with me\nYou are all I need to breathe\nAnywhere the world may lead\nYou are always close to me\n\n[Verse 3]\nYou are shelter, you are light\nYou are dreams I hold at night\nEven when the road is long\nWith you here, I still feel strong\n\n[Chorus]\nStay with me, stay with me\nYou are all I need to breathe\nAnywhere the world may lead\nYou are always close to me\n\n[Bridge]\nEvery moment, every day\nYou bring sunlight to my way\nAll tomorrow feels brand new\nWhen I am here with you",
  "generation_type": "TEXT",
  "tags": "electronic, pop",
  "negative_tags": "",
  "mv": "chirp-v4-tau",
  "title": "Stay With Me",
  "task": "artist_consistency",
  "persona_id": "0f6e8077-a7ba-4fc8-8f60-de02c66e56ce",
  "artist_clip_id": "a5fa604c-18b8-4e7f-8d25-9412d4ba8163",
  "vocal_gender": ""
}'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
codestringRequired
datastringRequired
messagestringRequired

Response Example

json
{
    "code": "success",
    "data": "950bf3af-78a6-420e-8c01-3bde0bbb3ef9",
    "message": ""
}